What app versions are currently supported?

We occasionally need to stop supporting particularly old versions of our mobile and desktop apps in order to take advantage of modern technologies and improve security.

Please regularly update your Harvest app using your device’s app store to receive the latest features and security updates.

At this time, the app versions we support are:

  • iPhone: Version 4.8.2 and up
  • macOS: Version 2.2.4 and up
  • Windows: Version 1.1.8 and up
  • Android: Version 3.6.1 and up

If you’re using an older version, your app might not function correctly, and we won’t be able to offer troubleshooting.

Did you find this article helpful?

Still have questions? We’re happy to help!

Contact Us